%define dont_strip 1
%define basever 12

Summary:	Remote Control Application
Name:		teamviewer
Version:	12.0.71510
Release:	2
Vendor:		TeamViewer GmbH
License:	Proprietary; includes substantial Free Software components, notably the Wine Project.
Group:		Networking/Remote access
Url:		http://www.teamviewer.com/
Source0:	http://download.teamviewer.com/download/%{name}_%{version}_i386.tar.xz
#Source0:	http://178.37.65.247/src/%{name}/%{name}-%{version}.tar.gz
Source1:	teamviewer.rpmlintrc
AutoReqProv:	no
Requires:	bash
Requires:	desktop-common-data
Requires:	expat
Requires:	libalsa2
Requires:	libjpeg62
Requires:	libpng0
Requires:	libsm6
Requires:	libxext6
Requires:	libxtst6
Requires:	libxdamage1
Requires:	libxfixes3
Requires:	libxrender1
Requires:	freetype
Requires:	lsb >= 4.0
Requires:	glibc >= 2.13
Requires:	libstdc++6 >= 4.5.2
Requires:	zlib
Conflicts:	teamviewer9 teamviewer8 teamviewer7 teamviewer6 teamviewer5 teamviewer10
Provides:	teamviewer%{basever}
ExclusiveArch:	%{ix86}

%description
TeamViewer is a remote control application. 
TeamViewer provides easy, fast and secure remote access
to Linux, Windows PCs, and Macs.

TeamViewer is free for personal use.
You can use TeamViewer completely free of charge
to access your private computers or to help your friends 
with their computer problems.

To buy a license for commercial use, please visit http://www.teamviewer.com

%files
%{_bindir}/%{name}*
%{_sbindir}/%{name}*
/etc/%{name}
/opt/%{name}
/var/log/%{name}
%{_datadir}/applications/%{name}.desktop
%{_unitdir}/%{name}d.service
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*

#----------------------------------------------------------------

%prep
%setup -qn %{name}

%build

%install
# extract TeamViewer archive
mkdir -p %{buildroot}
tar xf %{SOURCE0} -C %{buildroot}/
mkdir -p %{buildroot}/opt
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}/var/log
mv %{buildroot}/%{name} %{buildroot}/opt/
chmod -R ugoa+w %{buildroot}/opt/%{name}

install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=TeamViewer %{basever}
Comment=TeamViewer Remote Control Application
Exec=/opt/teamviewer/tv_bin/script/teamviewer
Icon=/opt/teamviewer/tv_bin/desktop/teamviewer.png
Type=Application
Categories=Network;
EOF

ln -s /opt/%{name}/tv_bin/script/%{name} %{buildroot}%{_sbindir}/teamviewer
ln -s /opt/%{name}/logfiles %{buildroot}/var/log/%{name}
ln -s /opt/%{name}/config %{buildroot}/etc/%{name}

pushd %{buildroot}%{_bindir}
ln -s teamviewer teamviewer%{basever}
popd

install -D -p -m 644 %{buildroot}/opt/teamviewer/tv_bin/script/teamviewerd.service %{buildroot}%{_unitdir}/%{name}d.service

# consolehelper configuration
ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps

cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} <<EOF
USER=root
PROGRAM=/usr/sbin/%{name}
FALLBACK=false
SESSION=true
EOF

cat > %{buildroot}%{_sysconfdir}/pam.d/%{name}  <<EOF
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

%post
%systemd_post %{name}d.service

%preun
%systemd_preun %{name}d.service

%postun
%systemd_postun_with_restart %{name}d.service

%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 12.0.71510-2
- (e0743ad) MassBuild#1250: Increase release tag


